# $Revision: 1.16 $, $Date: 2011/08/21 16:30:45 $
Summary:	Big5 and Big5ascii encoding support for xpdf
Summary(pl.UTF-8):	Obsługa kodowań Big5 i Big5ascii dla xpdf
Name:		xpdf-chinese-traditional
Version:	20110815
Release:	1
License:	GPL v2 or GPL v3
Group:		X11/Applications
Source0:	ftp://ftp.foolabs.com/pub/xpdf/%{name}-2011-aug-15.tar.gz
# Source0-md5:	3bb86cbedc64563b9eaf21c04d7e016b
URL:		http://www.foolabs.com/xpdf/
Requires(post,preun):	grep
Requires(post,preun):	xpdf
Requires(preun):	fileutils
Requires:	xpdf
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Xpdf language support packages include CMap files, text encodings,
and various other configuration information necessary or useful for
specific character sets. (They do not include any fonts.)
This package provides support files needed to use the Xpdf tools with
Chinese-traditional PDF files.

%description -l pl.UTF-8
Pakiety wspierające języki Xpdf zawierają pliki CMap, kodowania oraz
różne inne informacje konfiguracyjne niezbędne bądź przydatne przy
określonych zestawach znaków (nie zawierają żadnych fontów).
Ten pakiet zawiera pliki potrzebne do używania narzędzi Xpdf z
chińskimi tradycyjnymi plikami PDF.

%prep
%setup -q -n %{name}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-chinese-traditional

install *.unicodeMap $RPM_BUILD_ROOT%{_datadir}/xpdf
install *.cidToUnicode $RPM_BUILD_ROOT%{_datadir}/xpdf
install CMap/* $RPM_BUILD_ROOT%{_datadir}/xpdf/CMap-chinese-traditional

%clean
rm -rf $RPM_BUILD_ROOT

%post
umask 022
if [ ! -f /etc/xpdfrc ]; then
	echo 'unicodeMap	Big5		/usr/share/xpdf/Big5.unicodeMap' >> /etc/xpdfrc
	echo 'unicodeMap	Big5ascii	/usr/share/xpdf/Big5ascii.unicodeMap' >> /etc/xpdfrc
	echo 'cidToUnicode	Adobe-CNS1	/usr/share/xpdf/Adobe-CNS1.cidToUnicode' >> /etc/xpdfrc
	echo 'cMapDir		Adobe-CNS1	/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
	echo 'displayCIDFontX	Adobe-CNS1	"-*-fixed-medium-r-normal-*-%s-*-*-*-*-*-big5-0" Big5' >> /etc/xpdfrc
	echo '# displayCIDFontX	Adobe-CNS1	"-arphic-ar pl kaitim big5-medium-r-normal--%s-*-*-*-c-*-iso10646-1" UCS-2' >> /etc/xpdfrc
else
 if ! grep -q 'Big5\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	Big5		/usr/share/xpdf/Big5.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Big5ascii\.unicodeMap' /etc/xpdfrc; then
	echo 'unicodeMap	Big5ascii	/usr/share/xpdf/Big5ascii.unicodeMap' >> /etc/xpdfrc
 fi
 if ! grep -q 'Adobe-CNS1\.cidToUnicode' /etc/xpdfrc; then
	echo 'cidToUnicode	Adobe-CNS1	/usr/share/xpdf/Adobe-CNS1.cidToUnicode' >> /etc/xpdfrc
 fi
 if ! grep -q 'CMap-chinese-traditional' /etc/xpdfrc; then
	echo 'cMapDir		Adobe-CNS1	/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
	echo 'toUnicodeDir			/usr/share/xpdf/CMap-chinese-traditional' >> /etc/xpdfrc
 fi
 if ! grep -q -e '-\*-fixed-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-big5-0' /etc/xpdfrc; then
	echo 'displayCIDFontX	Adobe-CNS1	"-*-fixed-medium-r-normal-*-%s-*-*-*-*-*-big5-0" Big5' >> /etc/xpdfrc
 fi
 if ! grep -q -e '-arphic-ar pl kaitim big5-medium-r-normal--%s-\*-\*-\*-c-\*-iso10646-1' /etc/xpdfrc; then
	echo '# displayCIDFontX	Adobe-CNS1	"-arphic-ar pl kaitim big5-medium-r-normal--%s-*-*-*-c-*-iso10646-1" UCS-2' >> /etc/xpdfrc
 fi
fi

%preun
if [ "$1" = "0" ]; then
	umask 022
	grep -v 'Big5\.unicodeMap' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'Big5ascii\.unicodeMap' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v 'Adobe-CNS1\.cidToUnicode' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v 'CMap-chinese-traditional' /etc/xpdfrc.new > /etc/xpdfrc
	grep -v -e '-\*-fixed-medium-r-normal-\*-%s-\*-\*-\*-\*-\*-big5-0' /etc/xpdfrc > /etc/xpdfrc.new
	grep -v -e '-arphic-ar pl kaitim big5-medium-r-normal--%s-\*-\*-\*-c-\*-iso10646-1' /etc/xpdfrc.new > /etc/xpdfrc
	rm -f /etc/xpdfrc.new
fi

%files
%defattr(644,root,root,755)
%doc README add-to-xpdfrc
%{_datadir}/xpdf/Big5.unicodeMap
%{_datadir}/xpdf/Big5ascii.unicodeMap
%{_datadir}/xpdf/Adobe-CNS1.cidToUnicode
%{_datadir}/xpdf/CMap-chinese-traditional

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xpdf-chinese-traditional.spec,v $
Revision 1.16  2011/08/21 16:30:45  qboosh
- updated to 2011-aug-15 (as Version: 20110815)

Revision 1.15  2007/09/05 13:26:01  baggins
- rel 6

Revision 1.14  2007/02/12 22:09:25  glen
- tabs in preamble

Revision 1.13  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.12  2005/08/28 09:46:11  qboosh
- updated to 2004-jul-27, release 5

Revision 1.11  2004/01/25 01:23:14  gotar
- updated

Revision 1.10  2003/08/18 08:09:40  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/07/31 08:38:08  gotar
- fixed %preun scripts,
- release++.

Revision 1.8  2003/05/28 13:03:12  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:28:30  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/04 14:53:05  qrczak
- Use -e before grep patterns starting with '-'.

Revision 1.5  2003/03/15 22:31:46  gotar
- BuildArch: noarch,
- release++.

Revision 1.4  2003/02/11 20:08:24  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.3  2003/01/19 00:04:19  gotar
- fixed %post and %preun scripts

Revision 1.2  2003/01/18 22:58:56  juandon
- removed two lines with define

Revision 1.1  2002/09/09 12:38:46  gotar
- initial PLD release, STBR.
